OpenVDB 13.0.0

Loading...
Searching...
No Matches
HalfWriter< IsReal, T > Struct Template Reference

## Detailed Description

template<bool IsReal, typename T>
struct openvdb::v13_0::io::HalfWriter< IsReal, T >

HalfWriter wraps a static function, write(), that is analogous to writeData(), above, except that it is partially specialized for floating-point types in order to quantize floating-point values to 16-bit half float. A wrapper class is required because only classes, not functions, can be partially specialized.